Subject: New Reply Received - I ordered an item on 25 September which has not been delivered to date.=0ASub par delivery service, I ...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Thu, 13 Oct 2022 15:20:05 +0000

Hi Alhamzi Mohammed,  The customer has responded to the ticket.  I ordered an item on 25 September which has not been delivered to date.
Sub par delivery service, I ...  Ticket comment <div>They worst service Homebox Stores  they promise but don't deliver, I had my sofa pick up for repairs last 12 days ago and untill today I haven't received it back nor has anyone responded from the management to resolve their issues.</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4993898